# IzzyLib

These are just a number of functions I keep reusing over and over again in most of my projects. It's okay to use them if you also find them useful

## Installation

### From Git

	$(venv)/bin/python -m pip install -e "git+https://git.barkshark.xyz/izaliamae/izzylib.git@rework"

optional dependencies

- dbus
- hasher
- http_server
- http_urllib_client
- sql
- template
- tinydb

## Documentation

### Importing

Most useful classes and functions are imported in the module root, so you don't need to do any multi-level imports. Example

This is fine:

	from izzylib import Database

and points to:

	from izzylib.sql.database import Database

Or even simply do `import izzylib` and use `izzylib.Database()`.

### Usage

All classes and functions will have docstrings. Either look through the code or run `help()` on an object

# NOTE!

Not in a stable state yet. Expect major changes
